Favicon

You are here: Home > API Reference > Workspace > Organization Notifications > Create new notification

Create new notification

Required Permission: base.organization.notification.create

Create new notification

POST
/v1/organizations/:organizationId/notifications/
Copy to clipboard

Create new notification

Required Permission: base.organization.notification.create

Create new notification

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
Body Params application/json
type string required
slack webhook
description string optional
≤ 128 characters
events object required
buildCreated boolean optional
buildProcessed boolean optional
feedbackCreated boolean optional
certificateWillExpire boolean optional
applePushRenovation boolean optional
emmEnrollmentCreated boolean optional
emmDeviceCreated boolean optional
emmDeviceChangedMdmUser boolean optional
admEnrollmentCreated boolean optional
admDeviceCreated boolean optional
admDeviceChangedMdmUser boolean optional
winEnrollmentCreated boolean optional
winDeviceCreated boolean optional
winDeviceChangedMdmUser boolean optional
inventoryItemRegistered boolean optional
setup object optional
slack object optional
code string required
≤ 256 characters
redirectUri string required
≤ 500 characters
webhook object optional
url string required
≤ 500 characters
{
    "type": "slack",
    "description": "string",
    "events": {
        "buildCreated": true,
        "buildProcessed": true,
        "feedbackCreated": true,
        "certificateWillExpire": true,
        "applePushRenovation": true,
        "emmEnrollmentCreated": true,
        "emmDeviceCreated": true,
        "emmDeviceChangedMdmUser": true,
        "admEnrollmentCreated": true,
        "admDeviceCreated": true,
        "admDeviceChangedMdmUser": true,
        "winEnrollmentCreated": true,
        "winDeviceCreated": true,
        "winDeviceChangedMdmUser": true,
        "inventoryItemRegistered": true
    },
    "setup": {
        "slack": {
            "code": "string",
            "redirectUri": "string"
        },
        "webhook": {
            "url": "string"
        }
    }
}

Responses

200 Response application/json
status boolean required
data object required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
organization string required
Match pattern: ^[a-fA-F0-9]{24}$
description string optional
≤ 128 characters
type string required
slack webhook
config object optional
slack object optional
team string required
≤ 128 characters
channel string required
≤ 128 characters
webhook object optional
url string required
≤ 256 characters
token string required
≤ 256 characters
events object required
buildCreated boolean optional
buildProcessed boolean optional
feedbackCreated boolean optional
certificateWillExpire boolean optional
applePushRenovation boolean optional
emmEnrollmentCreated boolean optional
emmDeviceCreated boolean optional
emmDeviceChangedMdmUser boolean optional
admEnrollmentCreated boolean optional
admDeviceCreated boolean optional
admDeviceChangedMdmUser boolean optional
winEnrollmentCreated boolean optional
winDeviceCreated boolean optional
winDeviceChangedMdmUser boolean optional
inventoryItemRegistered boolean optional
updatedAt string required
createdAt string required
{
    "status": true,
    "data": {
        "id": "string",
        "organization": "string",
        "description": "string",
        "type": "slack",
        "config": {
            "slack": {
                "team": "string",
                "channel": "string"
            },
            "webhook": {
                "url": "string",
                "token": "string"
            }
        },
        "events": {
            "buildCreated": true,
            "buildProcessed": true,
            "feedbackCreated": true,
            "certificateWillExpire": true,
            "applePushRenovation": true,
            "emmEnrollmentCreated": true,
            "emmDeviceCreated": true,
            "emmDeviceChangedMdmUser": true,
            "admEnrollmentCreated": true,
            "admDeviceCreated": true,
            "admDeviceChangedMdmUser": true,
            "winEnrollmentCreated": true,
            "winDeviceCreated": true,
            "winDeviceChangedMdmUser": true,
            "inventoryItemRegistered": true
        },
        "updatedAt": "string",
        "createdAt": "string"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}